Prolifto
API reference

Analytics

Sales and customer analytics

Customer Breakdown

POST
/analytics/customerBreakdown

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/analytics/customerBreakdown" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Orders By Period

POST
/analytics/ordersByPeriod

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/analytics/ordersByPeriod" \  -H "Content-Type: application/json" \  -d '{    "group": "daily",    "organizationSlug": "string"  }'
{}

Orders Totals

POST
/analytics/ordersTotals

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/analytics/ordersTotals" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Top Products

POST
/analytics/topProducts

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/analytics/topProducts" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}